Page MenuHomePhabricator

decom 44 eqiad appservers purchased on 2016-04-12/13 (mw1261 through mw1301)
Closed, ResolvedPublic

Description

lowest number mw server in production is mw1261

4 mw appservers in eqiad that have been purchased on 2016-04-12 (procured in T127735):

rack A5

  • mw1261.eqiad.wmnet - canary
  • mw1262.eqiad.wmnet - canary
  • mw1263.eqiad.wmnet - canary
  • mw1264.eqiad.wmnet - canary

40 mw appservers in eqiad that have been purchased on 2016-04-13 (procured in T127735):

rack A5

  • mw1265.eqiad.wmnet - canary
  • mw1266.eqiad.wmnet

rack A8

  • mw1267.eqiad.wmnet
  • mw1268.eqiad.wmnet

rack A7

  • mw1269.eqiad.wmnet - scap proxy !
  • mw1270.eqiad.wmnet
  • mw1271.eqiad.wmnet - mcrouter proxy !
  • mw1272.eqiad.wmnet
  • mw1273.eqiad.wmnet
  • mw1274.eqiad.wmnet
  • mw1275.eqiad.wmnet
  • mw1276.eqiad.wmnet - canary api
  • mw1277.eqiad.wmnet - canary api
  • mw1278.eqiad.wmnet - canary api
  • mw1279.eqiad.wmnet - canary api

rack A8

  • mw1280.eqiad.wmnet - already died in T251077
  • mw1281.eqiad.wmnet
  • mw1282.eqiad.wmnet
  • mw1283.eqiad.wmnet

rack B6

  • mw1284.eqiad.wmnet
  • mw1285.eqiad.wmnet - scap proxy !
  • mw1286.eqiad.wmnet
  • mw1287.eqiad.wmnet
  • mw1288.eqiad.wmnet - mcrouter proxy !
  • mw1289.eqiad.wmnet - API appserver
  • mw1290.eqiad.wmnet - API appserver
  • mw1291.eqiad.wmnet - was reimaged as thumbor
  • mw1292.eqiad.wmnet - was reimaged as thumbor
  • mw1293.eqiad.wmnet - jobrunner, canary
  • mw1294.eqiad.wmnet - jobrunner, canary
  • mw1295.eqiad.wmnet - jobrunner
  • mw1296.eqiad.wmnet - jobrunner
  • mw1297.eqiad.wmnet - API appserver
  • mw1298.eqiad.wmnet - jobrunner
  • mw1299.eqiad.wmnet - jobrunner
  • mw1300.eqiad.wmnet
  • mw1301.eqiad.wmnet

It adds up to 44 but 46 were in procurement ticket. (check the diff)

These should be replaced by new hardware (45/43 servers) procured in T271155 and coming up in T273915 and T279309.

They need to be decom'ed in parallel with setting up new servers in T279309.

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+3 -13
operations/puppetproduction+1 -1
operations/puppetproduction+0 -90
operations/puppetproduction+4 -899
operations/puppetproduction+0 -9
operations/puppetproduction+0 -12
operations/puppetproduction+1 -5
operations/puppetproduction+13 -11
operations/puppetproduction+0 -25
operations/puppetproduction+2 -3
operations/puppetproduction+1 -7
operations/puppetproduction+1 -13
operations/puppetproduction+1 -19
operations/puppetproduction+1 -14
operations/puppetproduction+1 -6
operations/puppetproduction+0 -12
operations/puppetproduction+0 -8
operations/puppetproduction+1 -1
operations/puppetproduction+2 -2
operations/puppetproduction+0 -75
operations/puppetproduction+0 -17
operations/puppetproduction+0 -1 K
operations/puppetproduction+0 -46
operations/puppetproduction+1 -2
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1283.eqiad.wmnet

  • mw1283.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 704284 merged by Dzahn:

[operations/puppet@production] site/conftool: remove mw1281 through mw1283

https://gerrit.wikimedia.org/r/704284

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1300.eqiad.wmnet

  • mw1300.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
Dzahn raised the priority of this task from Medium to High.Jul 15 2021, 1:34 PM
Dzahn updated the task description. (Show Details)
Jelto updated the task description. (Show Details)

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1301.eqiad.wmnet

  • mw1301.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 704289 merged by Dzahn:

[operations/puppet@production] DHCP/conftool: remove mw1300, mw1301

https://gerrit.wikimedia.org/r/704289

Change 704966 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool: decom mw1270,mw1272,mw1273,mw1274,mw1275

https://gerrit.wikimedia.org/r/704966

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1270.eqiad.wmnet

  • mw1270.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (FAIL)
    • Failed to run the sre.dns.netbox cookbook: Cumin execution failed (exit_code=2)

ERROR: some step on some host failed, check the bolded items above

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1272.eqiad.wmnet

  • mw1272.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (FAIL)
    • Failed to run the sre.dns.netbox cookbook: Cumin execution failed (exit_code=2)

ERROR: some step on some host failed, check the bolded items above

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw[1273-1275].eqiad.wmnet

  • mw1273.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1274.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1275.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 704966 merged by Dzahn:

[operations/puppet@production] site/conftool: decom mw1270,mw1272,mw1273,mw1274,mw1275

https://gerrit.wikimedia.org/r/704966

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1284.eqiad.wmnet

  • mw1284.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw[1286-1287].eqiad.wmnet

  • mw1286.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1287.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 705439 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool/DHCP: decom mw1284,mw1286,mw1287

https://gerrit.wikimedia.org/r/705439

Change 705439 merged by Dzahn:

[operations/puppet@production] site/conftool/DHCP: decom mw1284,mw1286,mw1287

https://gerrit.wikimedia.org/r/705439

Dzahn updated the task description. (Show Details)

Change 705700 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool/DHCP: decom mw1289, mw1290, mw1297

https://gerrit.wikimedia.org/r/705700

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1289.eqiad.wmnet

  • mw1289.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1290.eqiad.wmnet

  • mw1290.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1297.eqiad.wmnet

  • mw1297.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 705700 merged by Dzahn:

[operations/puppet@production] site/conftool/DHCP: decom mw1289, mw1290, mw1297

https://gerrit.wikimedia.org/r/705700

Change 705875 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool/DHCP: decom mw1293, mw1294, jobrunner canaries

https://gerrit.wikimedia.org/r/705875

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1293.eqiad.wmnet

  • mw1293.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1294.eqiad.wmnet

  • mw1294.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 705875 merged by Dzahn:

[operations/puppet@production] site/conftool/DHCP: decom mw1293, mw1294, jobrunner canaries

https://gerrit.wikimedia.org/r/705875

Dzahn updated the task description. (Show Details)

Change 708253 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool/DHCP: decom mw1285

https://gerrit.wikimedia.org/r/708253

Change 708254 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool/scap: decom mw1269, replace scap proxy with mw1420

https://gerrit.wikimedia.org/r/708254

Change 708257 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] hiera/appservers: remove mcrouter proxy values for eqiad

https://gerrit.wikimedia.org/r/708257

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1285.eqiad.wmnet

  • mw1285.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 708253 merged by Dzahn:

[operations/puppet@production] site/conftool/DHCP: decom mw1285

https://gerrit.wikimedia.org/r/708253

Change 708254 merged by Dzahn:

[operations/puppet@production] site/conftool/scap: decom mw1269, replace scap proxy with mw1420

https://gerrit.wikimedia.org/r/708254

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1269.eqiad.wmnet

  • mw1269.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

@wiki_willy You guys can remove all old mw appservers from eqiad rack A5 and rack A8 already, they are decom'ed:

rack A5 mw1261 through mw1266

rack A8 mw1267, mw1268, mw1280 through mw1283

26 servers are in status "decommissioning" now in the "mw12" range:

https://netbox.wikimedia.org/dcim/devices/?q=mw12&status=decommissioning&mac_address=&has_primary_ip=&local_context_data=&virtual_chassis_member=&console_ports=&console_server_ports=&power_ports=&power_outlets=&interfaces=&pass_through_ports=&cf_purchase_date=

Change 679958 merged by Dzahn:

[operations/puppet@production] DHCP: remove mw1285 through mw1301

https://gerrit.wikimedia.org/r/679958

Thanks @Dzahn!

>>! In T280203#7242737, @Dzahn wrote:

@wiki_willy You guys can remove all old mw appservers from eqiad rack A5 and rack A8 already, they are decom'ed:

rack A5 mw1261 through mw1266

rack A8 mw1267, mw1268, mw1280 through mw1283

26 servers are in status "decommissioning" now in the "mw12" range:

https://netbox.wikimedia.org/dcim/devices/?q=mw12&status=decommissioning&mac_address=&has_primary_ip=&local_context_data=&virtual_chassis_member=&console_ports=&console_server_ports=&power_ports=&power_outlets=&interfaces=&pass_through_ports=&cf_purchase_date=

Change 709041 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool: convert 4 appservers to jobrunners in row D for balance

https://gerrit.wikimedia.org/r/709041

Change 709041 merged by Dzahn:

[operations/puppet@production] site/conftool: convert 4 appservers to jobrunners in row D for balance

https://gerrit.wikimedia.org/r/709041

Change 709068 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool: decom jobrunners: mw1295,mw1296,mw1298,mw1299

https://gerrit.wikimedia.org/r/709068

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw[1295-1296].eqiad.wmnet

  • mw1295.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1296.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw[1298-1299].eqiad.wmnet

  • mw1298.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1299.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 709068 merged by Dzahn:

[operations/puppet@production] site/conftool: decom jobrunners: mw1295,mw1296,mw1298,mw1299

https://gerrit.wikimedia.org/r/709068

Change 709411 had a related patch set uploaded (by Dzahn; author: Dzahn):

[operations/puppet@production] site/conftool: decom mw1271 and mw1288, formerly mcrouter proxies

https://gerrit.wikimedia.org/r/709411

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1271.eqiad.wmnet

  • mw1271.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: mw1288.eqiad.wmnet

  • mw1288.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 709411 merged by Dzahn:

[operations/puppet@production] site/conftool: decom mw1271 and mw1288, formerly mcrouter proxies

https://gerrit.wikimedia.org/r/709411

Dzahn updated the task description. (Show Details)
Dzahn changed the task status from Open to Stalled.Aug 2 2021, 12:04 PM

everything is done except 4 canary API servers and decom'ing these is blocked by T273915

decom script executed and servers removed from racks for
mw1261-1266 rack A5
mw1269-1275 rack A7

mw1267-mw1268 decom'd and removed

Dzahn changed the task status from Stalled to Open.Aug 17 2021, 7:53 AM

Change 704287 merged by Dzahn:

[operations/puppet@production] site/conftool: remove mw1276 through mw1279

https://gerrit.wikimedia.org/r/704287

Mentioned in SAL (#wikimedia-operations) [2021-08-17T08:15:23Z] <jelto@cumin1001> START - Cookbook sre.hosts.downtime for 3:00:00 on mw[1276-1279].eqiad.wmnet with reason: decom old appservers in eqiad T280203

Mentioned in SAL (#wikimedia-operations) [2021-08-17T08:15:32Z] <jelto@cumin1001> END (PASS) - Cookbook sre.hosts.downtime (exit_code=0) for 3:00:00 on mw[1276-1279].eqiad.wmnet with reason: decom old appservers in eqiad T280203

cookbooks.sre.hosts.decommission executed by jelto@cumin1001 for hosts: mw[1276-1279].eqiad.wmnet

  • mw1276.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1277.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1278.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • mw1279.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped all swraid, partition-table and filesystem signatures
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
Dzahn reassigned this task from Dzahn to Jelto.EditedAug 17 2021, 9:17 AM

Jelto, over to you, since you are removing the last 4 servers :) Just cause I know you still wanted to check something in the repo one last time. So you can decide if it's closed.

Change 713607 had a related patch set uploaded (by Jelto; author: Jelto):

[operations/puppet@production] hieradata::hosts::mw1 cleanup old canary api server hieradata

https://gerrit.wikimedia.org/r/713607

Change 713607 merged by Jelto:

[operations/puppet@production] hieradata: cleanup old canary api server

https://gerrit.wikimedia.org/r/713607

From my side everything is done. Thanks everyone. I'm going to close this ticket. Feel free to open it in case I missed anything.

I would like to re-open https://phabricator.wikimedia.org/T221132 to have a short discussion about the refresh of thumbor hosts. We just skipped the two hosts during our refresh. I don't want that we forget about the two hosts completely.

Jelto mentioned this in Unknown Object (Task).
Cmjohnson claimed this task.

re-opened and assigned to me to use this same task as the final decommissioning inside the data center

all are decommissioned and removed from the rack

Change 708257 abandoned by Dzahn:

[operations/puppet@production] hiera/appservers: remove mcrouter proxy values for eqiad

Reason:

obsolete

https://gerrit.wikimedia.org/r/708257

Change 767787 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/puppet@production] scap: Switch mw1306 to mw1318 for scap proxy role

https://gerrit.wikimedia.org/r/767787

Change 767788 had a related patch set uploaded (by Alexandros Kosiaris; author: Alexandros Kosiaris):

[operations/puppet@production] mw130[2-6]: Remove and decomission

https://gerrit.wikimedia.org/r/767788

Change 767787 merged by Alexandros Kosiaris:

[operations/puppet@production] scap: Switch mw1306 to mw1318 for scap proxy role

https://gerrit.wikimedia.org/r/767787

Change 767788 merged by Alexandros Kosiaris:

[operations/puppet@production] mw130[2-6]: Remove and decomission

https://gerrit.wikimedia.org/r/767788